# Class ObsLocStage

java.lang.Object
uk.ac.starlink.ttools.taplint.ObsLocStage

All Implemented Interfaces:
  `Stage`

public class ObsLocStage extends Object implements Stage
Validation stage for testing ObsLocTAP data model metadata and content. This implementation corresponds to PR-ObsLocTAP-20210609.

Since:
  5 Feb 2021
Author:
  Mark Taylor
See Also:
  - Observation Locator Table Access Protocol

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String[]`
`ADQLGEO_FORMS`
Required ADQL Geometry functions (ObsLocTAP sec 3.3).
`static final uk.ac.starlink.vo.Ivoid`
`ADQLGEO_TYPE`
Feature type for ADQL Geometry functions from TAPRegExt.
`static final String`
`OBSPLAN_TNAME`
Full required name of ObsPlan table.
`static final uk.ac.starlink.vo.Ivoid`
`OBSPLAN_UTYPE`
Required registration UType for ObsPlan table.
`static final String[]`
`REGION_XTYPES`
Known DALI Xtypes indicating region data.

## Constructor Summary

Constructors
Constructor
Description
`ObsLocStage(TapRunner tapRunner, CapabilityHolder capHolder, MetadataHolder metaHolder)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns a short one-line description of this stage.
`void`
`run(Reporter reporter, uk.ac.starlink.vo.TapService tapService)`
Performs the validation checks for this stage.
`static String`
`votype(uk.ac.starlink.table.ValueInfo info)`
Returns the human-readable name of the data type of a column from a VOTable.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### OBSPLAN_TNAME

public static final String OBSPLAN_TNAME
Full required name of ObsPlan table.

See Also:
  - Constant Field Values

### OBSPLAN_UTYPE

public static final uk.ac.starlink.vo.Ivoid OBSPLAN_UTYPE
Required registration UType for ObsPlan table.

### ADQLGEO_TYPE

public static final uk.ac.starlink.vo.Ivoid ADQLGEO_TYPE
Feature type for ADQL Geometry functions from TAPRegExt.

### ADQLGEO_FORMS

public static final String[] ADQLGEO_FORMS
Required ADQL Geometry functions (ObsLocTAP sec 3.3).

### REGION_XTYPES

public static final String[] REGION_XTYPES
Known DALI Xtypes indicating region data.

## Constructor Details

### ObsLocStage

public ObsLocStage(TapRunner tapRunner, CapabilityHolder capHolder, MetadataHolder metaHolder)
Constructor.

Parameters:
  `tapRunner` - runs TAP queries
  `capHolder` - provides capability metadata at runtime
  `metaHolder` - provides table metadata at runtime

## Method Details

### getDescription

public String getDescription()
Description copied from interface: `Stage`
Returns a short one-line description of this stage.

Specified by:
  `getDescription` in interface `Stage`
Returns:
  description in imperative mood

### run

public void run(Reporter reporter, uk.ac.starlink.vo.TapService tapService)
Description copied from interface: `Stage`
Performs the validation checks for this stage.

Specified by:
  `run` in interface `Stage`
Parameters:
  `reporter` - destination for validation messages
  `tapService` - TAP service description

### votype

public static String votype(uk.ac.starlink.table.ValueInfo info)
Returns the human-readable name of the data type of a column from a VOTable.

Parameters:
  `info` - column info
Returns:
  datatype name